#include <QApplication>
#include <Qwidget>
#include <QLabel>

#include <brlcad/ConstDatabase.h>

int main(int argc, char *argv[])
{
    BRLCAD::ConstDatabase database;
    char title[100];
    const char *databaseTitle;
    if (database.Load("test.g")) {
        databaseTitle = database.Title();
    } else {
        databaseTitle = "database not found";
    }
    strcpy(title, "Alternative Gui - ");
    strcat(title, databaseTitle);
    
    QApplication app(argc, argv);
    QWidget window;
    window.resize(720, 410);

    QLabel *label = new QLabel(&window);
    label->setText(databaseTitle);
    label->show();
    window.show();

    window.setWindowTitle(
        QApplication::translate("MainWindow", title));
    return app.exec();
}